# class MessageReceiver | A multiple message receiver. More...
Contains pure virtuals
Full name | `TelEngine::MessageReceiver`
Definition | `#include <yatengine.h>`
Inherits | TelEngine::GenObject [public ]
Inherited by | Client, ClientDriver, Driver, Module
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual bool received (Message& msg, int id)

## Detailed Description

A multiple message receiver to be invoked by a message relay

bool received (Message& msg, int id) | ### received

[pure virtual]

This method is called from the message relay.

Parameters:

msg | The received message
id | The identifier with which the relay was created

Returns: True to stop processing, false to try other handlers

Generated by: paulc on bussard on Fri Dec 21 16:28:34 2012, using kdoc 2.0a54.